Skip to content

List or search contacts

GET
/products/{productId}/contacts
curl --request GET \
--url https://api.motenya.app/v1/products/example/contacts \
--header 'Authorization: Bearer <token>'

People: customers, buyers and the contacts of client companies. Newest first, cursor-paginated.

Requires crm:read.

productId
required
string
>= 1 characters <= 64 characters
first

Page size, 1–100 (default 25).

integer
>= 1 <= 100

Page size, 1–100 (default 25).

after

The nextCursor of the previous page.

string
<= 500 characters

The nextCursor of the previous page.

customKey

A filterable custom field key; use with customValue.

string
<= 64 characters

A filterable custom field key; use with customValue.

customValue
string
<= 200 characters
search

Name, email or phone.

string
<= 200 characters

Name, email or phone.

tag
string
<= 50 characters
clientId

Only this client’s contacts.

string
>= 1 characters <= 64 characters

Only this client’s contacts.

Success

Media typeapplication/json
object
items
required
Array<object>
object
id
required
string
>= 1 characters <= 64 characters
name
required
string | null
emails
required
Array<string>
phone
required
string | null
language
required
string | null
tags
required
Array<string>
custom
required
object
key
additional properties
source
required
string
externalId
required
string | null
clients
required
Array<object>
object
clientId
required
string
>= 1 characters <= 64 characters
name
required
string
kind
required
string
Allowed values: company individual
role
required
string | null
createdAt
required
string
updatedAt
required
string
key
additional properties
nextCursor
required

Pass as after for the next page; null on the last.

string | null

Example

{
"items": [
{
"clients": [
{
"kind": "company"
}
]
}
]
}

Invalid request

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Missing, invalid, revoked or expired API key

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Missing scope, API turned off, published article without publish scope, or account suspended

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Not found, or outside the knowledge bases this key may use

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Slug or translation already exists

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Rejected by validation (e.g. unknown language or category)

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Rate limited; see Retry-After

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Internal error